org.springframework.cloud.dataflow.server.config

## Class DataFlowControllerAutoConfiguration.StreamEnabledConfiguration

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.DataFlowControllerAutoConfiguration.StreamEnabledConfiguration

- Enclosing class:
    DataFlowControllerAutoConfiguration

      @Configuration
       @EnableConfigurationProperties(value=org.springframework.cloud.skipper.client.SkipperClientProperties.class)
      public static class DataFlowControllerAutoConfiguration.StreamEnabledConfiguration
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamEnabledConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RuntimeAppInstanceController` | `appInstanceController(StreamDeployer streamDeployer)`
    `RuntimeAppsController` | `runtimeAppsController(StreamDeployer streamDeployer)`
    `org.springframework.scheduling.concurrent.ForkJoinPoolFactoryBean` | `runtimeAppsStatusFJPFB()`
    `RuntimeStreamsController` | `runtimeStreamsControllerV2(StreamDeployer streamDeployer)`
    `org.springframework.cloud.skipper.client.SkipperClient` | `skipperClient(org.springframework.cloud.skipper.client.SkipperClientProperties properties, org.springframework.boot.web.client.RestTemplateBuilder restTemplateBuilder, com.fasterxml.jackson.databind.ObjectMapper objectMapper, org.springframework.cloud.common.security.core.support.OAuth2TokenUtilsService oauth2TokenUtilsService)`
    `SkipperStreamDeployer` | `skipperStreamDeployer(org.springframework.cloud.skipper.client.SkipperClient skipperClient, StreamDefinitionRepository streamDefinitionRepository, org.springframework.cloud.skipper.client.SkipperClientProperties skipperClientProperties, AppRegistryService appRegistryService, ForkJoinPool runtimeAppsStatusFJPFB, StreamDefinitionService streamDefinitionService)`
    `StreamDefinitionAssemblerProvider` | `streamDefinitionAssemblerProvider(StreamDefinitionService streamDefinitionService, StreamService streamService)`
    `StreamDefinitionController` | `streamDefinitionController(StreamService streamService, StreamDefinitionService streamDefinitionService, AppRegistryService appRegistryService, StreamDefinitionAssemblerProvider<? extends StreamDefinitionResource> streamDefinitionAssemblerProvider, AppRegistrationAssemblerProvider<? extends AppRegistrationResource> appRegistrationAssemblerProvider)`
    `AppDeploymentRequestCreator` | `streamDeploymentPropertiesUtils(AppRegistryService appRegistry, CommonApplicationProperties commonApplicationProperties, ApplicationConfigurationMetadataResolver applicationConfigurationMetadataResolver, StreamDefinitionService streamDefinitionService)`
    `StreamLogsController` | `streamLogsController(StreamDeployer streamDeployer)`
    `StreamService` | `streamService(StreamDefinitionRepository streamDefinitionRepository, SkipperStreamDeployer skipperStreamDeployer, AppDeploymentRequestCreator appDeploymentRequestCreator, StreamValidationService streamValidationService, org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService, StreamDefinitionService streamDefinitionService)`
    `StreamValidationController` | `streamValidationController(StreamService streamService)`
    `StreamValidationService` | `streamValidationService(AppRegistryService appRegistry, DockerValidatorProperties dockerValidatorProperties, StreamDefinitionRepository streamDefinitionRepository, StreamDefinitionService streamDefinitionService)`
    `StreamDeploymentController` | `updatableStreamDeploymentController(StreamDefinitionRepository repository, StreamService streamService, StreamDefinitionService streamDefinitionService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamEnabledConfiguration

          public StreamEnabledConfiguration()

  - ### Method Detail

    - #### streamValidationService

          @Bean
          public StreamValidationService streamValidationService(AppRegistryService appRegistry,
                                                                       DockerValidatorProperties dockerValidatorProperties,
                                                                       StreamDefinitionRepository streamDefinitionRepository,
                                                                       StreamDefinitionService streamDefinitionService)

    - #### appInstanceController

          @Bean
          public RuntimeAppInstanceController appInstanceController(StreamDeployer streamDeployer)

    - #### streamDefinitionAssemblerProvider

          @Bean
           @ConditionalOnMissingBean
          public StreamDefinitionAssemblerProvider streamDefinitionAssemblerProvider(StreamDefinitionService streamDefinitionService,
                                                                                                                      StreamService streamService)

    - #### streamDefinitionController

          @Bean
           @ConditionalOnMissingBean
          public StreamDefinitionController streamDefinitionController(StreamService streamService,
                                                                                                        StreamDefinitionService streamDefinitionService,
                                                                                                        AppRegistryService appRegistryService,
                                                                                                        StreamDefinitionAssemblerProvider<? extends StreamDefinitionResource> streamDefinitionAssemblerProvider,
                                                                                                        AppRegistrationAssemblerProvider<? extends AppRegistrationResource> appRegistrationAssemblerProvider)

    - #### streamValidationController

          @Bean
          public StreamValidationController streamValidationController(StreamService streamService)

    - #### runtimeAppsController

          @Bean
          public RuntimeAppsController runtimeAppsController(StreamDeployer streamDeployer)

    - #### runtimeStreamsControllerV2

          @Bean
          public RuntimeStreamsController runtimeStreamsControllerV2(StreamDeployer streamDeployer)

    - #### streamLogsController

          @Bean
          public StreamLogsController streamLogsController(StreamDeployer streamDeployer)

    - #### runtimeAppsStatusFJPFB

          @Bean
           @ConditionalOnMissingBean(name="runtimeAppsStatusFJPFB")
          public org.springframework.scheduling.concurrent.ForkJoinPoolFactoryBean runtimeAppsStatusFJPFB()

    - #### updatableStreamDeploymentController

          @Bean
          public StreamDeploymentController updatableStreamDeploymentController(StreamDefinitionRepository repository,
                                                                                      StreamService streamService,
                                                                                      StreamDefinitionService streamDefinitionService)

    - #### skipperClient

          @Bean
          public org.springframework.cloud.skipper.client.SkipperClient skipperClient(org.springframework.cloud.skipper.client.SkipperClientProperties properties,
                                                                                            org.springframework.boot.web.client.RestTemplateBuilder restTemplateBuilder,
                                                                                            com.fasterxml.jackson.databind.ObjectMapper objectMapper,
                                                                                            @Nullable
                                                                                            org.springframework.cloud.common.security.core.support.OAuth2TokenUtilsService oauth2TokenUtilsService)

    - #### skipperStreamDeployer

          @Bean
          public SkipperStreamDeployer skipperStreamDeployer(org.springframework.cloud.skipper.client.SkipperClient skipperClient,
                                                                   StreamDefinitionRepository streamDefinitionRepository,
                                                                   org.springframework.cloud.skipper.client.SkipperClientProperties skipperClientProperties,
                                                                   AppRegistryService appRegistryService,
                                                                   ForkJoinPool runtimeAppsStatusFJPFB,
                                                                   StreamDefinitionService streamDefinitionService)

    - #### streamDeploymentPropertiesUtils

          @Bean
          public AppDeploymentRequestCreator streamDeploymentPropertiesUtils(AppRegistryService appRegistry,
                                                                                   CommonApplicationProperties commonApplicationProperties,
                                                                                   ApplicationConfigurationMetadataResolver applicationConfigurationMetadataResolver,
                                                                                   StreamDefinitionService streamDefinitionService)

    - #### streamService

          @Bean
          public StreamService streamService(StreamDefinitionRepository streamDefinitionRepository,
                                                   SkipperStreamDeployer skipperStreamDeployer,
                                                   AppDeploymentRequestCreator appDeploymentRequestCreator,
                                                   StreamValidationService streamValidationService,
                                                   org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService,
                                                   StreamDefinitionService streamDefinitionService)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.